@import '../../../../../../scss/variables.scss';
@import '../.././../../../../../node_modules/bulma/sass/utilities/_all.sass';

.resource-download-item {
  background-color: white;
  align-items: center;
  margin-top: 1rem;
  padding-bottom: 1rem;
}

.first-line {
  display: flex;
  justify-content: space-between;
}

.resource-left {
  display: flex;
  align-items: center;
  margin-right: 0.5rem;

  .resource-main {
    margin-left: 2rem;
  }

  .resource-main-name span {
    font-weight: 600;
    font-size: 0.875rem;
    word-break: break-all;

    @media screen and (min-width: $tablet) {
      font-size: 1rem;
    }
  }

  .resource-options {
    display: flex;

    span {
      font-size: 0.875rem;
      word-break: break-all;
    }

  }
}

.filter-items {
  display: flex;
  margin-left: calc(2rem + 48px);
  margin-top: 0.75rem;

  .division-item {
    margin-right: 2rem;
  }

  .title-label {
    margin-bottom: 0.5rem;
  }
}

.right-buttons {
  display: flex;
}

.dropdown-item {
  overflow: hidden;
}

.dropdown-insee {
  .dropdown-menu {
    height: 200px;
    max-height: 200px;
    overflow-y: scroll;
    overflow-x: hidden;
  }
}

/* stylelint-disable-next-line */
.dropdown-trigger .button {
  justify-content: space-between;
  height: 2.625rem;
  overflow: hidden;

  svg {
    width: 1rem;
    height: 0.6rem;
  }
}

.options-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1px solid $grey-super-light-color;
  border-radius: 4px;
  width: 2.75rem;
  height: 2.75rem;
  background-color: transparent;
  padding: 0;

  &:hover {
    cursor: pointer;
  }

  &.is-open {
    background-color: #818080;

    svg path {
      stroke: white;
    }
  }

  svg {
    height: 2.5rem;
    width: 2.5rem;
  }
}

// Manage if the content is too long
.dropdown-trigger button {

  span {
    overflow: hidden;
    text-overflow: ellipsis;
  }

  svg {
    min-width: 1rem;
  }
}

// Mobile: dropdown displays at 100%.
.dropdown,
.dropdown-trigger,
.dropdown-trigger button,
.dropdown-menu,
.dropdown-content {
  width: 100%;
}


@media screen and (min-width: $desktop) {
  .dropdown-trigger button {
    width: 8rem;
  }
}

// Remove Bulma default 100% width for tablet and desktop
@media screen and (min-width: $desktop) {

  .dropdown-trigger button {
    width: 12rem;
  }

  .dropdown,
  .dropdown-trigger,
  .dropdown-trigger button,
  .dropdown-menu,
  .dropdown-content {
    // width: unset;
    max-width: 350px;
  }
}
